<!--
  Generated template for the RideBookingPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <ion-title>Ride Info</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <div class="pad-all-10">

  <!-- Ride info --> 

      <ion-grid>
<!--         <ion-row *ngIf="rideDetail.ride_type == 'Airport'">
          <span class="badge badge-success"> Airport Ride </span> 
          <p> Type:  </p> 
          <p> {{rideDetail.airport.type}}</p>
          <p> Meeting point </p> 
          <p> Terminal : {{rideDetail.airport.terminal}} </p> 

        </ion-row>  -->

        <!-- Driver & Car -->

        <div class="text-center pad-all-10">
          <div class="alt-avatar-2 user-photo" *ngIf="rideDetail">
            <img *ngIf="rideDetail.user.avatar.startsWith('/')" [src]="url + rideDetail.user.avatar" class="img-round">
            <img *ngIf="rideDetail.user.avatar.startsWith('h')" [src]="rideDetail.user.avatar" class="img-round">
          </div>

          <h3 class="pad-10">{{rideDetail.user.first_name}} {{rideDetail.user.last_name}} </h3>

          <ionic3-star-rating 
              activeIcon = "ios-star"
              defaultIcon = "ios-star-outline"
              activeColor = "#ffcc00" 
              defaultColor = "#ffcc00"
              fontSize = "8px"
              readonly="true"
              [rating]="rideDetail.user.rating" style="font-size: 8px !important">
          </ionic3-star-rating> 
          <button ion-button small (click)="viewPublicProfile(rideDetail.user_id)">
          View Profile</button>
        </div>

        <ion-row class="add-lines pad-10">
          <ion-col col-4>
            <ion-avatar left>
              <img *ngIf="rideDetail.carImage.startsWith('/')" [src]="url + rideDetail.carImage" class="img-round">
              <img *ngIf="rideDetail.carImage.startsWith('h')" [src]="rideDetail.carImage" class="img-round">
            </ion-avatar>
          </ion-col>
          <ion-col col-8>
              <p>{{rideDetail.user.driver[0].year}} {{rideDetail.carMake}} {{rideDetail.carModel}}</p>
          </ion-col>
        </ion-row>

        <ion-row *ngIf="rideDetail.ride_stop">
          <p> <strong>Start:</strong> {{rideDetail.location_from}} </p>
          <ion-list *ngFor="let stop of rideDetail.ride_stop">
            <p> <strong>Stop:</strong> {{stop.city_name}} </p>
          </ion-list>
          <p> <strong>End:</strong> {{rideDetail.location_to}} </p> 
        </ion-row>

        <ion-row>
          <ion-col col-6>
            <p><ion-icon name="md-calendar"></ion-icon>
            {{rideDetail.date}}</p>
          </ion-col>
          <ion-col col-6>
            <p><ion-icon name="md-time"></ion-icon>
            {{rideDetail.time}}</p>
          </ion-col>
        </ion-row>

        <ion-row>
          <ion-col col-6>
              <p><span class="price"> ${{rideDetail.price}}</span> per seat</p>
          </ion-col> 
          <ion-col col-6>
            <p><strong>Seats:</strong> {{rideDetail.seats_available}}</p>
          </ion-col> 
        </ion-row>

        <ion-row *ngIf="rideDetail.purpose">
          <ion-col col-4>
            <p> Trip Purpose </p>  
          </ion-col> 
          <ion-col col-8 *ngIf="rideDetail.purpose != null">
            <p> <strong> {{rideDetail.purpose.type}} </strong> </p> 
          </ion-col> 
        </ion-row>

        <ion-row>
          <ion-col col-12>
            <p><strong>Driver Memo: </strong><br />{{rideDetail.description}}</p>
          </ion-col>
        </ion-row>

        <!-- Preferences --> 
        <ion-row class="pad-10">
          <h4 class="pad-10">Driver Preferences</h4>
          <ion-item *ngFor="let p of rideDetail.user_prefences" no-lines>
              <ion-icon *ngIf="p.preference.category == 'Smoking'" 
              name="md-no-smoking"></ion-icon>
              <ion-icon *ngIf="p.preference.category == 'Music'" 
              name="md-musical-notes"></ion-icon>
              <ion-icon *ngIf="p.preference.category == 'Pets'" 
              name="md-paw"></ion-icon>
              <ion-icon *ngIf="p.preference.category == 'Chattiness'" 
              name="chatbubbles"></ion-icon> {{p.preference.description}}
          </ion-item>
        </ion-row>
  		</ion-grid>

  <ion-card class="rides">

    <ion-card-content>

      <h2 class="text-center pad-10">Book Ride</h2>
      <p><strong>Number of seats:</strong></p>
      <ion-select placeholder="0"  [(ngModel)]="seatNum">
        <ion-option *ngFor="let seat of seats">{{seat}}</ion-option>
      </ion-select>

      <ion-row>
        <ion-col col-12>
          <p><strong>Introduction / Questions:</strong></p>
          <ion-textarea [(ngModel)]="request_description"></ion-textarea>
          <button [disabled]="dissable" ion-button block color="primary" (click)="bookNow()" *ngIf="rideDetail.check == 0">
            Request To Join
          </button>

          <div *ngIf="rideDetail.check > 0">
            <div class="text-center">
             <p>You already booked this ride</p>
            </div>
          </div>

        </ion-col>
      </ion-row>
    </ion-card-content>
  </ion-card>
</div>
</ion-content>
